# H235_ECGDSASignature Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ECGDSASignature:

List of all members.

## Public Member Functions

| H235_ECGDSASignature (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_BitString | m_r
PASN_BitString | m_s

## Constructor & Destructor Documentation

H235_ECGDSASignature::H235_ECGDSASignature | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ECGDSASignature::GetDataLength | ( |  | ) | const

PBoolean H235_ECGDSASignature::Decode | ( | PASN_Stream & | strm | ) |

void H235_ECGDSASignature::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ECGDSASignature::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ECGDSASignature::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ECGDSASignature::Clone | ( |  | ) | const

## Member Data Documentation

PASN_BitString H235_ECGDSASignature::m_r

PASN_BitString H235_ECGDSASignature::m_s

The documentation for this class was generated from the following file:

- h235.h